diff --git a/contrib/sepgsql/database.c b/contrib/sepgsql/database.c
index c641ec3565..102c9c8012 100644
--- a/contrib/sepgsql/database.c
+++ b/contrib/sepgsql/database.c
@@ -80,7 +80,7 @@ sepgsql_database_post_create(Oid databaseId, const char *dtemplate)
 	rel = heap_open(DatabaseRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
-				ObjectIdAttributeNumber,
+				Anum_pg_database_oid,
 				BTEqualStrategyNumber, F_OIDEQ,
 				ObjectIdGetDatum(databaseId));
 
diff --git a/contrib/sepgsql/proc.c b/contrib/sepgsql/proc.c
index c6a817d7c5..a4acfd92da 100644
--- a/contrib/sepgsql/proc.c
+++ b/contrib/sepgsql/proc.c
@@ -59,7 +59,7 @@ sepgsql_proc_post_create(Oid functionId)
 	rel = heap_open(ProcedureRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
-				ObjectIdAttributeNumber,
+				Anum_pg_proc_oid,
 				BTEqualStrategyNumber, F_OIDEQ,
 				ObjectIdGetDatum(functionId));
 
@@ -253,7 +253,7 @@ sepgsql_proc_setattr(Oid functionId)
 	rel = heap_open(ProcedureRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
-				ObjectIdAttributeNumber,
+				Anum_pg_proc_oid,
 				BTEqualStrategyNumber, F_OIDEQ,
 				ObjectIdGetDatum(functionId));
 
diff --git a/contrib/sepgsql/relation.c b/contrib/sepgsql/relation.c
index f0c22715aa..312740c598 100644
--- a/contrib/sepgsql/relation.c
+++ b/contrib/sepgsql/relation.c
@@ -262,7 +262,7 @@ sepgsql_relation_post_create(Oid relOid)
 	rel = heap_open(RelationRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
-				ObjectIdAttributeNumber,
+				Anum_pg_class_oid,
 				BTEqualStrategyNumber, F_OIDEQ,
 				ObjectIdGetDatum(relOid));
 
@@ -614,7 +614,7 @@ sepgsql_relation_setattr(Oid relOid)
 	rel = heap_open(RelationRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
-				ObjectIdAttributeNumber,
+				Anum_pg_class_oid,
 				BTEqualStrategyNumber, F_OIDEQ,
 				ObjectIdGetDatum(relOid));
 
diff --git a/contrib/sepgsql/schema.c b/contrib/sepgsql/schema.c
index bc15a36a45..7b098318ed 100644
--- a/contrib/sepgsql/schema.c
+++ b/contrib/sepgsql/schema.c
@@ -59,7 +59,7 @@ sepgsql_schema_post_create(Oid namespaceId)
 	rel = heap_open(NamespaceRelationId, AccessShareLock);
 
 	ScanKeyInit(&skey,
-				ObjectIdAttributeNumber,
+				Anum_pg_namespace_oid,
 				BTEqualStrategyNumber, F_OIDEQ,
 				ObjectIdGetDatum(namespaceId));
 
